Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.hibernate
Class HibernateTransactionProvider

    java.lang.Object
      org.makumba.providers.TransactionProvider
          org.makumba.db.hibernate.HibernateTransactionProvider

All Implemented Interfaces:
  SingletonHolder

    public class HibernateTransactionProvider

extends TransactionProvider

This class is a Hibernate-specific implementation of a `TransactionProvider`. FIXME see what to do with the old _copy, ... etc. methods

Version:
  $Id: HibernateTransactionProvider.java,v 1.1 06.11.2007 11:01:32 Manuel Exp $
Author:
  Manuel Gay

Field Summary

Fields inherited from class org.makumba.providers.TransactionProvider
`CONNECTION_PASSWORD, CONNECTION_PREFIX, CONNECTION_URL, CONNECTION_USERNAME`

Method Summary
`Transaction` | `getConnectionTo(String name)` Opens a `Transaction` with the specified dataSource.
`CRUDOperationProvider` | `getCRUD()`
`protected CRUDOperationProvider` | `getCRUDInternal()`
`Object` | `getHibernateSessionFactory(String name)`
`static TransactionProvider` | `getInstance()`
`protected Configuration.DataSourceType` | `getLastConnectionType()`
`String` | `getQueryLanguage()`
`protected String` | `getQueryLanguageInternal()`
`protected Transaction` | `getTransaction(String name)`
`protected void` | `setLastConnectionType(Configuration.DataSourceType type)`

Methods inherited from class org.makumba.providers.TransactionProvider
`getConnectionTo, getCRUD, getDefaultDataSourceName, getQueryLanguage, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TransactionProvider getInstance()

### getCRUD

    public CRUDOperationProvider getCRUD()

  Specified by:
    `getCRUD` in class `TransactionProvider`

### getConnectionTo

    public Transaction getConnectionTo(String name)

  Description copied from class: `TransactionProvider`
  Opens a `Transaction` with the specified dataSource.

  Overrides:
    `getConnectionTo` in class `TransactionProvider`
  Parameters:
    `name` - the name of the dataSource to connect to
  Returns:
    a `Transaction`

### getQueryLanguage

    public String getQueryLanguage()

  Specified by:
    `getQueryLanguage` in class `TransactionProvider`

### getLastConnectionType

    protected Configuration.DataSourceType getLastConnectionType()

  Specified by:
    `getLastConnectionType` in class `TransactionProvider`

### setLastConnectionType

    protected void setLastConnectionType(Configuration.DataSourceType type)

  Specified by:
    `setLastConnectionType` in class `TransactionProvider`

### getCRUDInternal

    protected CRUDOperationProvider getCRUDInternal()

  Specified by:
    `getCRUDInternal` in class `TransactionProvider`

### getQueryLanguageInternal

    protected String getQueryLanguageInternal()

  Specified by:
    `getQueryLanguageInternal` in class `TransactionProvider`

### getTransaction

    protected Transaction getTransaction(String name)

  Specified by:
    `getTransaction` in class `TransactionProvider`

### getHibernateSessionFactory

    public Object getHibernateSessionFactory(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20